
.navbar {
    background-color: #000000 !important;
    font-family: "Stack Sans Notch", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    
    
    }
    
 /* NAV LINKS */

.nav-link {
    position: relative;
  
    background: linear-gradient(90deg, #00c6ff, #8b5cf6);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  
    text-transform: uppercase;
  
    transition: 0.3s ease;
  }
  
  /* HOVER = WHITE */
  
  .nav-link:hover,
  .nav-link.active {
    -webkit-text-fill-color: white;
  
    color: white !important;
  }
  
  /* ANIMATED UNDERLINE */
  
  .nav-link::after {
    content: "";
  
    position: absolute;
  
    left: 50%;
    bottom: -4px;
  
    transform: translateX(-50%);
  
    width: 0%;
    height: 2px;
  
    border-radius: 20px;
  
    background: linear-gradient(
      90deg,
      #00c6ff,
      #8b5cf6,
      white
    );
  
    transition: width 0.35s ease;
  }
  
  /* SHOW LINE ON HOVER */
  
  .nav-link:hover::after,
  .nav-link.active::after {
    width: 75%;
  }
    /* animated underline - regular nav links only */
.navbar-nav .nav-link:not(.dropdown-toggle)::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -8px;
    transform: translateX(-50%);
  
    width: 0;
    height: 3px;
  
    border-radius: 20px;
    background: linear-gradient(90deg, #00c6ff, #8b5cf6, #ffffff);
  
    transition: width 0.35s ease;
  }
  
  .navbar-nav .nav-link:not(.dropdown-toggle):hover::after,
  .navbar-nav .nav-link:not(.dropdown-toggle).active::after {
    width: 75%;
  }
    
    .navbar-nav {
        align-items: center;
    
    }
    


    /* STAGGERED MENU ICON */
    .navbar-toggler {
      border: none;
      box-shadow: none !important;
    }
    
    /* Gradient icon */
    .fa-bars-staggered {
      font-size: 1.8rem;
      background: linear-gradient(90deg, #00c6ff, #8b5cf6);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
    
    /* Optional glowing hover */
    .fa-bars-staggered:hover {
      filter: drop-shadow(0 0 8px #8b5cf6);
    }
    
    
    
    .navbar .navbar-nav .nav-link {
        font-size: 18px;
        padding: .5em 1em;
        opacity: 1;
     transition: opacity 1s ease-in-out;
    
    }
    
   
    
    
    
    .nav-link.btn {
      padding: 0.5rem 1rem !important;
      font-size: 20px !important;
      margin: 19px;
      border: 2px solid #7A8BFE;
      background: none;
      text-transform: uppercase;
    }
    
    .nav-link.btn:hover {
    color: #fff !important;
    }
    
    
    .dropdown-menu {
      background: rgba(10, 10, 20, 0.95);
      backdrop-filter: blur(10px);
      border: 1px solid rgba(255,255,255,0.1);
    }
    
    .dropdown-item {
      color: white;
    }
    
    .dropdown-item:hover {
      background: linear-gradient(90deg, #00c6ff22, #8b5cf622);
      color: #fff;
    }
    
  
  /* HERO CONTENT */
  .hero-content {
    position: relative;
    z-index: 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  
    text-align: center;
    color: white;
    padding: 20px;
  }

  /* TITLE */
  .hero-content h1 {
    font-size: clamp(3rem, 8vw, 6rem);
    font-weight: 800;
    margin-bottom: 10px;
    text-transform: uppercase;
  }
  
  /* SUBTITLE */
  .hero-content h5 {
    font-size: 1.2rem;
    font-weight: 400;
    color: #ddd;
    line-height: 1.7;
  }
  
  /* BUTTON CONTAINER */
  .hero-buttons {
    display: flex;
    gap: 20px;
    margin-top: 35px;
    flex-wrap: wrap;
    justify-content: center;
  }

  #header-container::after {
    content: "";
  
    position: absolute;
  
    bottom: 0;
    left: 0;
  
    width: 100%;
    height: 200px;
  
    background: linear-gradient(
      to bottom,
      rgba(2,6,23,0) 0%,
      #020617 100%
    );
  
    z-index: 2;
  }

/* HIDE PLAY BUTTON */
video::-webkit-media-controls-start-playback-button {
    display: none !important;
    -webkit-appearance: none;
  }
  
  video::-webkit-media-controls {
    display: none !important;
  }


  /* GRADIENT BUTTON */
  .btn-gradient {
    background: linear-gradient(90deg, #2563eb, #c026d3);
    color: white;
    text-decoration: none;
    padding: 16px 38px;
    border-radius: 10px;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 14px;
    transition: 0.3s ease;
    min-width: 230px;
    text-align: center;
  }
  
  /* GLASS BUTTON */
  .btn-glass {
    border: 1px solid rgba(255,255,255,0.4);
    background: rgba(255,255,255,0.03);
    backdrop-filter: blur(6px);
    color: white;
    text-decoration: none;
    padding: 16px 38px;
    border-radius: 10px;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 14px;
    transition: 0.3s ease;
    min-width: 230px;
    text-align: center;
  }
  
  /* HOVER */
  .btn-gradient:hover,
  .btn-glass:hover {
    transform: translateY(-4px);
  }

  /* SERVICES SECTION */
.services-section {
    background: #020617;
    padding: 120px 20px;
    text-align: center;
    color: white;
  }
  
  /* SUBTITLE */
  .section-subtitle {
    color: #c084fc;
    font-size: 14px;
    letter-spacing: 2px;
    margin-bottom: 15px;
    font-weight: 600;
  }
  
  /* TITLE */
  .section-title {
    font-size: clamp(2rem, 5vw, 4rem);
    font-weight: 800;
    margin-bottom: 70px;
  }
  
  .section-title span {
    background: linear-gradient(90deg, #60a5fa, #c084fc);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  
  /* CARD CONTAINER */
  .services-container {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
  }
  
  /* INDIVIDUAL CARD */
  .service-card {
    background: rgba(255,255,255,0.02);
  
    border: 1px solid rgba(192, 132, 252, 0.25);
  
    border-radius: 24px;
  
    width: 340px;
  
    padding: 50px 35px;
  
    backdrop-filter: blur(10px);
  
    transition: 0.4s ease;
  
    box-shadow: 0 0 25px rgba(0,0,0,0.25);
  }
  
  /* HOVER */
  .service-card:hover {
    transform: translateY(-10px);
  
    border-color: #c084fc;
  
    box-shadow:
      0 0 30px rgba(192,132,252,0.3),
      0 0 60px rgba(96,165,250,0.15);
  }
  
  /* ICONS */
  .service-card i {
    font-size: 65px;
  
    margin-bottom: 30px;
  
    background: linear-gradient(180deg, #60a5fa, #c084fc);
  
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  
  /* CARD TITLES */
  .service-card h3 {
    font-size: 28px;
  
    margin-bottom: 25px;
  
    line-height: 1.4;
  }
  
  /* CARD TEXT */
  .service-card p {
    color: #cbd5e1;
  
    line-height: 2;
  
    font-size: 16px;
  }


  /* SCROLL TO EXPLORE */
.scroll-down {
    position: absolute;
    bottom: 139px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 3;
    text-align: center;
  }
  
  .scroll-down a {
    text-decoration: none;
    color: white;
    font-size: 12px;
    letter-spacing: 2px;
    font-weight: 500;
    opacity: 0.85;
    transition: 0.3s ease;
  }
  
  .scroll-down a:hover {
    opacity: 1;
  }
  
  /* ARROW */
  .arrow {
    width: 18px;
    height: 18px;
    border-left: 2px solid #c084fc;
    border-bottom: 2px solid #c084fc;
    transform: rotate(-45deg);
    margin: 12px auto 0;
    animation: bounce 2s infinite;
  }
  
  /* ANIMATION */
  @keyframes bounce {
    0%, 100% {
      transform: rotate(-45deg) translate(0, 0);
    }
  
    50% {
      transform: rotate(-45deg) translate(-5px, 5px);
    }
  }


  /* =========================
   CUSTOMERS SECTION
========================= */

.customers-section {
    position: relative;
    padding: 100px 20px;
    overflow: hidden;
  
    background:
      linear-gradient(rgba(0,0,0,0.75),
      rgba(0,0,0,0.75)),
      url("galaxy-background.png");
  
    background-size: cover;
    background-position: center;
  
    color: white;
  }
  
  /* TITLE */
  
  .section-header h1 {
    font-size: clamp(3rem, 8vw, 6rem);
    font-weight: 800;
  
    background: linear-gradient(to right, #2f7cff, #cc00ff);
  
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  
    margin-bottom: 20px;
  }
  
  .section-header p {
    max-width: 700px;
    margin: auto;
  
    color: #d6d6d6;
  
    font-size: 1.2rem;
    line-height: 1.7;
  }
  
  .line {
    width: 120px;
    height: 4px;
  
    margin: 20px auto;
  
    border-radius: 20px;
  
    background: linear-gradient(to right, #2f7cff, #cc00ff);
  
    box-shadow: 0 0 20px #a855f7;
  }
  
  /* GRID */
  
  .client-grid {
    display: grid;
  
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  
    gap: 25px;
  
    margin-top: 70px;
  }
  
  /* CARD */
  
  .client-card {
    background: rgba(0,0,0,0.65);
  
    border: 1px solid rgba(138, 92, 246, 0.5);
  
    border-radius: 30px;
  
    padding: 0px;
  
    backdrop-filter: blur(8px);
  
    transition: 0.4s ease;
  
    display: flex;
    align-items: center;
    justify-content: center;
  
    min-height: 320px;
  
    overflow: hidden;
  
    box-shadow:
      0 0 20px rgba(168,85,247,0.15);
  }
  
  .client-card:hover {
    transform: translateY(-10px);
  
    border-color: #a855f7;
  
    box-shadow:
      0 0 30px rgba(168,85,247,0.5);
  }
  
  .client-card img {
    width: 100%;
    height: 100%;
  
    object-fit: contain;
  
    padding: 0px;
  }
  
  /* BUTTONS */
  
  .button-group {
    display: flex;
    justify-content: center;
    gap: 25px;
  
    flex-wrap: wrap;
  
    margin-top: 80px;
  }
  
  .btn-primary-custom,
  .btn-outline-custom {
    padding: 18px 45px;
  
    border-radius: 20px;
  
    text-decoration: none;
  
    font-weight: 700;
  
    font-size: 1.1rem;
  
    transition: 0.3s ease;
  }
  
  /* PRIMARY BUTTON */
  
  .btn-primary-custom {
    background:
      linear-gradient(to right,
      #7b00ff,
      #2979ff);
  
    color: white;
  
    box-shadow:
      0 0 25px rgba(123,0,255,0.4);
  }
  
  .btn-primary-custom:hover {
    transform: scale(1.05);
  
    box-shadow:
      0 0 35px rgba(123,0,255,0.7);
  }
  
  /* OUTLINE BUTTON */
  
  .btn-outline-custom {
    position: relative;

  padding: 18px 45px;

  border-radius: 20px;

  color: white;
  text-decoration: none;
  font-weight: 700;
  font-size: 1.1rem;
  background: rgba(255,255,255,0.03);
  backdrop-filter: blur(6px);

  border: 1px solid rgba(255, 255, 255, 0.18);

  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);

  box-shadow:
    0 0 20px rgba(138, 92, 246, 0.15),
    inset 0 0 10px rgba(255,255,255,0.05);

  transition: all 0.35s ease;

  overflow: hidden;
  }
  
  .btn-outline-custom:hover {
    transform: translateY(-3px);

  background: rgba(255, 255, 255, 0.12);

  border: 1px solid rgba(168, 85, 247, 0.6);

  box-shadow:
    0 0 30px rgba(168, 85, 247, 0.45),
    inset 0 0 12px rgba(255,255,255,0.08);
  }
  
  /* TRUSTED TEXT */
  
  .trusted-text {
    margin-top: 80px;
  
    text-align: center;
  
    color: #d8d8d8;
  
    font-size: 1.1rem;
  }
  
  .trusted-text i {
    color: #8b5cf6;
  
    margin-right: 10px;
  }
  
  /* BOTTOM GLOW */
  
  .bottom-glow {
    position: absolute;
  
    bottom: -100px;
    left: 50%;
  
    transform: translateX(-50%);
  
    width: 90%;
    height: 200px;
  
    border-radius: 50%;
  
    background:
      radial-gradient(circle,
      rgba(168,85,247,0.8) 0%,
      rgba(168,85,247,0) 70%);
  
    filter: blur(60px);
  
    pointer-events: none;
  }

 /* =========================
   FOOTER
========================= */

.footer {
    position: relative;
  
    background:
      linear-gradient(
        135deg,
        #000000,
        #050816,
        #0b1026
      );
  
    padding: 30px 20px;
  
    border-top: 1px solid rgba(255,255,255,0.08);
  
    overflow: hidden;
  }
  
  /* subtle glow */
  
  .footer::before {
    content: "";
  
    position: absolute;
  
    top: -80px;
    left: 50%;
  
    transform: translateX(-50%);
  
    width: 500px;
    height: 200px;
  
    background:
      radial-gradient(
        circle,
        rgba(139,92,246,0.25),
        transparent 70%
      );
  
    filter: blur(60px);
  
    pointer-events: none;
  }
  
  /* CONTENT */
  
  .footer-content {
    position: relative;
  
    display: flex;
    flex-direction: column;
  
    gap: 14px;
  
    z-index: 2;
  }
  
  /* =========================
     FOOTER LINKS
  ========================= */
  
  .footer-links a {
    position: relative;
  
    background: linear-gradient(
      90deg,
      #00c6ff,
      #8b5cf6
    );
  
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  
    text-decoration: none;
  
    margin: 0 10px;
  
    font-size: 14px;
    font-weight: 600;
  
    transition: 0.3s ease;
  }
  
  /* hover */
  
  .footer-links a:hover {
    -webkit-text-fill-color: white;
  
    color: white;
  }
  
  /* animated underline */
  
  .footer-links a::after {
    content: "";
  
    position: absolute;
  
    left: 50%;
    bottom: -5px;
  
    transform: translateX(-50%);
  
    width: 0%;
    height: 2px;
  
    border-radius: 20px;
  
    background: linear-gradient(
      90deg,
      #00c6ff,
      #8b5cf6,
      #ffffff
    );
  
    transition: width 0.35s ease;
  }
  
  .footer-links a:hover::after {
    width: 80%;
  }
  
  /* =========================
     BRAND TEXT
  ========================= */
  
  .footer-brand {
    color: rgba(255,255,255,0.8);
  
    font-size: 14px;
  
    letter-spacing: 0.5px;
  }
  
  /* =========================
     SOCIAL ICONS
  ========================= */
  
  .social-icons {
    margin-top: 10px;
  }
  
  .social-icons a {
    background: linear-gradient(
      90deg,
      #00c6ff,
      #8b5cf6
    );
  
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  
    font-size: 20px;
  
    margin: 0 10px;
  
    transition: 0.3s ease;
  
    display: inline-block;
  }
  
  /* hover */
  
  .social-icons a:hover {
    -webkit-text-fill-color: white;
  
    transform: translateY(-4px);
  
    filter: drop-shadow(0 0 10px rgba(139,92,246,0.6));
  }


  /* HIDDEN PROJECTS */

.hidden-card {
  display: none;
  opacity: 0;
  transform: translateY(30px);
}

.hidden-card.show-card {
  display: grid;
  animation: fadeUp 0.5s ease forwards;
}

/* LOAD MORE BUTTON */

.load-more-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 4rem;
}

.load-more-btn {
  padding: 1rem 2rem;
  border-radius: 16px;
  border: 1px solid rgba(255,255,255,0.08);
  background: rgba(255,255,255,0.04);
  color: white;
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
  transition: all 0.35s ease;

  display: flex;
  align-items: center;
  gap: 0.8rem;
}

.load-more-btn:hover {

  transform: translateY(-4px);

  border-color: #8b5cf6;

  box-shadow:
    0 0 15px rgba(139,92,246,0.5),
    0 0 35px rgba(139,92,246,0.25);

}

/* ANIMATION */

@keyframes fadeUp {

  from {
    opacity: 0;
    transform: translateY(30px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }

}